[phpBB Debug] PHP Notice: in file /viewtopic.php on line 981: date(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected 'UTC' for 'UTC/0.0/no DST' instead
[phpBB Debug] PHP Notice: in file /viewtopic.php on line 981: getdate(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected 'UTC' for 'UTC/0.0/no DST' instead
Linuxcentre • View topic - [solved] search prematurely terminating

[solved] search prematurely terminating

Help for using get_iplayer

[solved] search prematurely terminating

Postby shawn » 21 Jan 2010 05:51

I am using the latest version 2.64 and have noticed this error for the first time using the webpvr:
INFO: 8 Matching Programmes
INFO: Checking existence of default version
Can't use string ("1/8") as a HASH ref while "strict refs" in use at /usr/bin/get_iplayer line 3941.

PVR Run complete

It does not carry on with the search. Has anyone else noticed this?
shawn
 

Re: search prematurely terminating

Postby linuxcentre » 21 Jan 2010 08:11

How did you install get_iplayer originally? How did you update to 2.64?
linuxcentre
Site Admin
 
Posts: 306
Joined: 31 Dec 2009 17:29

Re: search prematurely terminating

Postby Shawn » 23 Jan 2010 04:26

I believe I originally used an rpm version, I have:
> locate get_iplayer

/usr/bin/get_iplayer
/usr/share/get_iplayer
/usr/share/doc/get_iplayer
/usr/share/doc/get_iplayer/README.txt
/usr/share/get_iplayer/plugins
/usr/share/get_iplayer/plugins/itv.plugin
/usr/share/get_iplayer/plugins/localfiles.plugin
/usr/share/get_iplayer/plugins/podcast.plugin
/usr/share/man/man1/get_iplayer.1.lzma
/home/shawn/bin/get_iplayer.cgi

I use the command:
perl ~/bin/get_iplayer.cgi --listen=127.0.0.1 --port=1935 --getiplayer=/usr/bin/get_iplayer

I tried downloading 2.61 and it ran no problem
then did
get_iplayer --plugins-update
and it upgraded to 2.64. Note I believe 2.63 gives the same error. I have yet to try 2.62 but I believe it works.
Shawn
 

Re: search prematurely terminating

Postby Shawn » 23 Jan 2010 04:31

Just confirmed that 2.62 works as well,
Shawn
 

Re: search prematurely terminating

Postby Shawn » 23 Jan 2010 06:14

Ok, I deleted
/usr/share/get_iplayer/plugins/itv.plugin

Then ran into problems so I went to my .get_iplayer directory and under the pvr directory by hand edited all the files and removed any itv word.

I then ran
get_iplayer --plugins-update
and am now at 2.65. The pvr seems to work without a problem now. It appears that some change in the last 3 versions did not handle the itv plugin. I hope its fixed.
Shawn
 

Re: search prematurely terminating

Postby linuxcentre » 23 Jan 2010 23:37

The only thing broken is your use of rpm! If you install a pkg using rpm, you can't just go and delete the managed files then use another installer method - that is just doomed to failure in just about every application at some point because you have older versions of some files and newer ones of others and they clash.

I suggest you correctly uninstall it using rpm then use the manual method.

(as root) rpm -e get_iplayer

the follow the instructions for installation.
linuxcentre
Site Admin
 
Posts: 306
Joined: 31 Dec 2009 17:29


Return to help



Who is online

Users browsing this forum: No registered users and 1 guest

./cache/ is NOT writable.